Feedback reports
The Feedback report object#
Every field on a feedback report, as returned by retrieve and carried by the endpoints below.
Attributes
kind: "rating"objectactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringrequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringrequiredkindenumrequiredratingrelated_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agentreporting_clientobjectreproduction_stepsarray of stringsentimentenumrequiredpositivenegativeneutralsummarystringsurfaceenumrequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileothersurface_routestringkind + surface + summaryobjectactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringrequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringrequiredkindenumrequiredpapercutbugfeature_requestpraiseotherrelated_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agentreporting_clientobjectreproduction_stepsarray of stringsentimentenumpositivenegativeneutralsummarystringrequiredsurfaceenumrequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileothersurface_routestringList feedback reports#
GET
/v1/feedback-reportsRequires scope: developer.feedback_reports.readLists feedback reports in descending creation order for the credential's merchant and environment.
Query parameters
page_sizeintegerNumber of reports to return.
page_tokenstringOpaque token returned by the previous page.
Response · 200
dataarray of one ofrequiredactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringrequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringrequiredkindenumrequiredratingrelated_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agentreporting_clientobjectreproduction_stepsarray of stringsentimentenumrequiredpositivenegativeneutralsummarystringsurfaceenumrequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileothersurface_routestringmetaobjectapi_versionstringidempotency_replayedbooleanrequest_idstringtrace_idstringwarningsarray of objectnext_page_tokenstringrequest_idstringError codes
AUTH_REQUIREDFEEDBACK_REPORTS_UNAVAILABLEINSUFFICIENT_SCOPEINVALID_PAGE_SIZEINVALID_PAGE_TOKENINVALID_REQUESTRATE_LIMIT_EXCEEDEDSERVICE_UNAVAILABLEBash
curl https://api.withflintpay.com/v1/feedback-reports \
-H "Flint-Version: 2026-09-07" \
-H "Authorization: Bearer YOUR_API_KEY"Create a feedback report#
POST
/v1/feedback-reportsIdempotentRequires scope: developer.feedback_reports.writeStores one immutable occurrence of Flint feedback. Use one report per root cause and include only the evidence needed to describe Flint's behavior.
Request body
kind: "rating"objectactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringdescriptionstringexpected_behaviorstringkindenumrequiredratingrelated_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agentreporting_clientobjectreproduction_stepsarray of stringsentimentenumrequiredpositivenegativeneutralsummarystringsurfaceenumrequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileothersurface_routestringkind + surface + summaryobjectactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringdescriptionstringexpected_behaviorstringkindenumrequiredpapercutbugfeature_requestpraiseotherrelated_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agentreporting_clientobjectreproduction_stepsarray of stringsentimentenumpositivenegativeneutralsummarystringrequiredsurfaceenumrequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileothersurface_routestringResponse · 201
dataone ofrequiredactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringrequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringrequiredkindenumrequiredratingrelated_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agentreporting_clientobjectreproduction_stepsarray of stringsentimentenumrequiredpositivenegativeneutralsummarystringsurfaceenumrequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileothersurface_routestringmetaobjectapi_versionstringidempotency_replayedbooleanrequest_idstringtrace_idstringwarningsarray of objectrequest_idstringError codes
AUTH_REQUIREDFEEDBACK_REPORTS_UNAVAILABLEIDEMPOTENCY_KEY_REUSEDINSUFFICIENT_SCOPEINVALID_FEEDBACK_KINDINVALID_FEEDBACK_SHAPEINVALID_FEEDBACK_SURFACEINVALID_IDEMPOTENCY_KEYINVALID_RELATED_REQUEST_IDINVALID_RELATED_RESOURCE_IDINVALID_REQUESTINVALID_SURFACE_ROUTERATE_LIMIT_EXCEEDEDRESOURCE_LIMIT_EXCEEDEDSERVICE_UNAVAILABLEUNSAFE_FEEDBACK_CONTENTBash
curl -X POST https://api.withflintpay.com/v1/feedback-reports \
-H "Flint-Version: 2026-09-07" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: a-unique-key" \
-d '{
"kind": "papercut",
"surface": "api"
}'Get a feedback report#
GET
/v1/feedback-reports/{feedback_report_id}Requires scope: developer.feedback_reports.readReturns one immutable feedback report in the credential's merchant and environment.
Path parameters
feedback_report_idstringrequiredFlint feedback report ID.
Response · 200
dataone ofrequiredactual_behaviorstringcanonical_commandstringcode_locationstringcomponentstringcreated_atstringrequiredWhen Flint stored the report.
descriptionstringexpected_behaviorstringfeedback_report_idstringrequiredkindenumrequiredratingrelated_request_idstringrelated_resource_idsarray of stringreporter_kindenumhumanai_agentreporting_clientobjectreproduction_stepsarray of stringsentimentenumrequiredpositivenegativeneutralsummarystringsurfaceenumrequiredapiclimcpsdkdocsdashboardcheckoutpayment_linkswebhooksonboardingmobileothersurface_routestringmetaobjectapi_versionstringidempotency_replayedbooleanrequest_idstringtrace_idstringwarningsarray of objectrequest_idstringError codes
AUTH_REQUIREDFEEDBACK_REPORTS_UNAVAILABLEFEEDBACK_REPORT_NOT_FOUNDINSUFFICIENT_SCOPEINVALID_REQUESTRATE_LIMIT_EXCEEDEDRESOURCE_NOT_FOUNDSERVICE_UNAVAILABLEBash
curl https://api.withflintpay.com/v1/feedback-reports/{feedback_report_id} \
-H "Flint-Version: 2026-09-07" \
-H "Authorization: Bearer YOUR_API_KEY"Rate this doc
